<?php

namespace Plugin\Atobaraidotcom4\Entity;

use Eccube\Annotation\EntityExtension;
use Doctrine\ORM\Mapping as ORM;

/**
 * @EntityExtension("Eccube\Entity\Order")
 */
trait OrderTrait
{

    /**
     * @var string
     * 
     * @ORM\Column(name="atobaraidotcom_system_order_id", type="string", length=255, nullable=true)
     */
    private $atobaraidotcom_system_order_id;

    /**
     * {@inheritdoc}
     */
    public function setAtobaraidotcomSystemOrderId($atobaraidotcomSystemOrderId)
    {
        $this->atobaraidotcom_system_order_id = $atobaraidotcomSystemOrderId;

        return $this;
    }

    /**
     * {@inheritdoc}
     */
    public function getAtobaraidotcomSystemOrderId()
    {
        return $this->atobaraidotcom_system_order_id;
    }

    /**
     * Append note.
     *
     * @param string|null $note
     *
     * @return Order
     */
    public function appendNote($note = null)
    {
        $this->note .= $note;

        return $this;
    }

}
